# Create Cloud Phone

Endpoint: POST /api/cloudphone/create
Version: 1.0.0

## Request fields (application/json):

  - `skuId` (string, required)
    Cloud Phone model
skuId:10002 model:Android 12
skuId:10013 model:Android 13
skuId:10005 model:Android 14
skuId:10004 model:Android 15
skuId:10014 model:Android 15A
Refer to the appendix for a detailed description of the model's parameters

  - `quantity` (integer, required)
    Number of cloud phone created. Range of values:[1-10]

  - `envRemark` (string)
    Profile Remarks (Length limit 1500 characters)

  - `automaticGeo` (boolean)
    Whether to automatically match the geographic location. Default:true

  - `automaticLanguage` (boolean)
    Whether to automatically match the language. Default:true

  - `automaticLocation` (boolean)
    Whether to auto-match location (time zone, country). Default:true

  - `country` (string)
    Country, e.g. us. Check appendix for country code details

  - `timezone` (string)
    Time zone, e.g. America/New_York

  - `language` (string)
    Language, e.g. en-US

  - `altitude` (integer)

  - `latitude` (number)
    Latitude. Example:22.309182

  - `longitude` (number)
    Longitude. Example:114.176817

  - `phoneNumber` (string)
    Customize your phone number. Format requirements:Must begin with a + sign, country code must be 1-3 digits (excluding 86), total length 8-14 digits, and contain only + and numbers.

  - `brand` (string)
    device brand,You can query via the https://guide.MoreLogin.com/api-reference/local-api/local-api/cloud-phone/paths/~1api~1cloudphone~1brand~1models/post interface.

  - `modelId` (number)
    device model id,You can query via the https://guide.MoreLogin.com/api-reference/local-api/local-api/cloud-phone/paths/~1api~1cloudphone~1brand~1models/post interface.

  - `proxyId` (integer)
    Proxy ID

  - `tags` (array)
    Environment tag name,When the tags value is empty, no customization is applied; when content is entered, it will be saved with the latest value.

  - `groupId` (integer)
    Environment group ID

  - `groupName` (string)
    Group name (max 50 characters). If provided, the system first checks groupId: if a valid group is found, it is used; otherwise, it searches by groupName. If a group with that name exists, it is referenced; if not, a new group is created. Each team is limited to 1,000 groups.

## Response 200 fields (application/json):

  - `code` (integer, required)

  - `msg` (string | null, required)

  - `data` (array)
    This is Cloud phone IDS

  - `requestId` (string, required)

  - `error` (object)

